<div class="modal-header">
    <h3 class="modal-title">{{user.firstname}} {{user.name}}</h3>
</div>
<div class="modal-body">
    <form class="form">
         <div class="has-error" ng-if="error">
            <label class="control-label">{{error}}</label>
        </div>
        <label>Profil : </label>
        <select ng-model="right.type" ng-options="p as profileLabel(p) for p in profiles" class="form-control" ng-change="showDates()"/>
        <div class="row" ng-show="right.type == 'teacher'">
            <span class="col-md-4 form-group">
                <label>Début : </label>
                <input id="start" type="text" class="date form-control" data-date-format="YYYY-MM-DD" ng-model="right.data.start"/>
            </span>
            <span class="col-md-4 form-group">
                <label>Fin : </label>
                <input id="end" type="text" class="date form-control" data-date-format="YYYY-MM-DD" ng-model="right.data.end"/>
            </span>
        </div>
        <table ng-if="right.type != 'admin'" class="table">
            <thead>
                <th><label>Files d'attente : </label><input ng-model="searchQueue" placeholder="Rechercher"></th>
                <th><label>Groupes : </label><input ng-model="searchGroup" placeholder="Rechercher"></th>
                <th><label>SDA : </label><input ng-model="searchSda" placeholder="Rechercher"></th>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="q in queues|filter: searchQueue">
                                    <input type="checkbox" checklist-model="right.data.queueIds" checklist-value="q.id">{{q.name}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="g in groups|filter: searchGroup">
                                    <input type="checkbox" checklist-model="right.data.groupIds" checklist-value="g.id">{{g.name}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                    <td>
                        <nav>
                            <ul class="list-unstyled">
                                <li ng-repeat="sda in incalls|filter: searchSda">
                                    <input type="checkbox" checklist-model="right.data.incallIds" checklist-value="sda.id">{{sda.number}}
                                </li>
                            </ul>
                        </nav>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>
<div class="modal-footer">
    <button class="btn btn-primary" ng-click="enregistrer()">Sauvegarder</button>
    <button class="btn btn-warning" ng-click="fermer()">Annuler</button>
</div>